# MD for: https://www.mercadopago.com.co/developers/pt/docs/checkout-bricks/payment-brick/payment-submission/other-payment-methods.md \> SERVER\_SIDE > > h1 > > Other payment methods To configure payments with \*\*Efecty\*\*, send a \*\*POST\*\* with the following parameters to the endpoint \[/v1/payments\](https://www.mercadopago.com.co/developers/en/reference/online-payments/checkout-api-payments/create-payment/post) and run the request or, if you prefer, use one of our SDKs below. > NOTE > > Important > > Remember that Brick already resolves most parameters to send the POST. The information return comes in the \`onSubmit\` callback, inside the \`formData\` object, where you can find parameters like: \`payment\_method\_id\`, \`payer.email\` and \`amount\`. > \> Also, it is mandatory to send the attribute \`X-Idempotency-Key\` to ensure the execution and reexecution of requests without the risk of accidentally performing the same action more than once. To do so, update our \[SDKs Library\](https://www.mercadopago.com.co/developers/en/docs/sdks-library/landing), or generate a UUID V4 and send it in the \_header\_ of your requests. | Payment Type | Parameter | Value | | --- | --- | --- | | Efecty | \`payment\_method\_id\` | \`efecty\` | * [csharp ](#editor%5F5) * [curl ](#editor%5F7) * [java ](#editor%5F3) * [node ](#editor%5F2) * [php ](#editor%5F1) * [python ](#editor%5F6) * [ruby ](#editor%5F4) php node java ruby csharp python curl ``` setCustomHeaders(["X-Idempotency-Key: "]); $payment = $client->create([ "transaction_amount" => (float) $_POST['transactionAmount'], "token" => $_POST['token'], "description" => $_POST['description'], "installments" => $_POST['installments'], "payment_method_id" => $_POST['paymentMethodId'], "issuer_id" => $_POST['issuer'], "payer" => [ "email" => $_POST['email'], "first_name" => $_POST['payerFirstName'], "last_name" => $_POST['payerLastName'], "identification" => [ "type" => $_POST['identificationType'], "number" => $_POST['number'] ] ] ], $request_options); echo implode($payment); ?> ``` Copiar ``` const mercadopago = require('mercadopago'); import { MercadoPagoConfig, Payment } from '@src/index'; const client = new MercadoPagoConfig({ accessToken: '', options: { timeout: 5000 } }); const payment = new Payment(client); payment .create({ body: { transaction_amount: 100, token: '', description: '', installments: 1, payment_method_id: '', issuer_id: 310, payer: { email: '', identification: { number: '12345678909', type: 'CPF', }, }, }, }).then(console.log).catch(console.log); ``` Copiar ``` Map customHeaders = new HashMap<>(); customHeaders.put("x-idempotency-key", ); MPRequestOptions requestOptions = MPRequestOptions.builder() .customHeaders(customHeaders) .build(); MercadoPagoConfig.setAccessToken("YOUR_ACCESS_TOKEN"); PaymentClient client = new PaymentClient(); PaymentCreateRequest paymentCreateRequest = PaymentCreateRequest.builder() .transactionAmount(new BigDecimal("100")) .description("Product title") .paymentMethodId("efecty") .payer( PaymentPayerRequest.builder() .email("test_user_co@testuser.com").build() ) .metadata( Map.of("payment_mode", "online") ) .build(); client.create(paymentCreateRequest, requestOptions); ``` Copiar ``` require 'mercadopago' require 'mercadopago' sdk = Mercadopago::SDK.new('ENV_ACCESS_TOKEN') custom_headers = { 'x-idempotency-key': '' } custom_request_options = Mercadopago::RequestOptions.new(custom_headers: custom_headers) payment_request = { transaction_amount: 100, description: 'Product title', payment_method_id: 'efecty', payer: { email: 'test_user_co@testuser.com', }, metadata: { payment_mode: 'online', } } payment_response = sdk.payment.create(payment_request, custom_request_options) payment = payment_response[:response] ``` Copiar ``` using MercadoPago.Config; using MercadoPago.Client.Common; using MercadoPago.Client.Payment; using MercadoPago.Resource.Payment; MercadoPagoConfig.AccessToken = "ENV_ACCESS_TOKEN"; var requestOptions = new RequestOptions(); requestOptions.CustomHeaders.Add("x-idempotency-key", ""); var request = new PaymentCreateRequest { TransactionAmount = 100, Description = "Product title", PaymentMethodId = 'efecty', Payer = new PaymentPayerRequest { Email = "test_user_co@testuser.com", }, Metadata = new Dictionary { ["payment_mode"] = "online", } }; var client = new PaymentClient(); Payment payment = await client.CreateAsync(request, requestOptions); ``` Copiar ``` import mercadopago sdk = mercadopago.SDK("ENV_ACCESS_TOKEN") request_options = mercadopago.config.RequestOptions() request_options.custom_headers = { 'x-idempotency-key': '' } payment_data = { "transaction_amount": 100, "description": "Product title", "payment_method_id": "efecty", "payer": { "email": "test_user_co@testuser.com", }, "metadata": { "payment_mode": "online", } } payment_response = sdk.payment().create(payment_data, request_options) payment = payment_response["response"] ``` Copiar ``` curl -X POST \ -H 'accept: application/json' \ -H 'content-type: application/json' \ -H 'Authorization: Bearer ENV_ACCESS_TOKEN' \ -H 'X-Idempotency-Key: SOME_UNIQUE_VALUE' \ 'https://api.mercadopago.com/v1/payments' \ -d '{ "transaction_amount": 100, "description": "Product title", "payment_method_id": "efecty", "payer": { "email": "PAYER_EMAIL_HERE", }, "metadata": { "payment_mode": "online", } }' ``` Copiar The response will show the \*\*pending status\*\* until the buyer completes the payment. Also, in the response to the request, the \`external\_resource\_url\` parameter will return a URL that contains instructions for the buyer to make the payment. You can redirect to this same link to complete the payment flow. See below for an example return. \`\`\`json \[ { ..., "id": 5466310457, "status": "pending", "status\_detail": "pending\_waiting\_payment", ..., "transaction\_details": { "net\_received\_amount": 0, "total\_paid\_amount": 100, "overpaid\_amount": 0, "external\_resource\_url": "https://www.mercadopago.com.ar/payments/123456/ticket?caller\_id=123456&payment\_method\_id=efecty&payment\_id=123456&payment\_method\_reference\_id=123456", "installment\_amount": 0, "financial\_institution": null, "payment\_method\_reference\_id": "1234567890" } } \] \`\`\` ## Show payment status After the payment creation in the backend using the Mercado Pago SDK, use the \*\*id\*\* received in the response to instantiate the Status Screen Brick and show it to the buyer. In addition to displaying the payment status, Status Screen Brick will also display the barcode to copy and paste or scan in order for the buyer to pay. Learn how simple it is to integrate \[click here\](https://www.mercadopago.com.co/developers/en/docs/checkout-bricks/status-screen-brick/introduction). !\[payment-submission-other-payment-methods-status-mco\](https://www.mercadopago.com.co/checkout-bricks/payment-submission-other-payment-methods-status-mco-en.png) > NOTE > > Important > > The boleto expiration date can be configured by sending a POST request with the \`data\_of\_expiration\` parameter to the endpoint \[/v1/payments\](https://www.mercadopago.com.co/developers/en/reference/online-payments/checkout-api-payments/create-payment/post). After expiration, the boleto will be canceled. ## Test your integration With the integration completed, you will be able to test payment reception. For more information, access the section \[Make test purchase\](https://www.mercadopago.com.co/developers/en/docs/checkout-bricks/integration-test/test-payment-flow).